# Hyrule

A card game.

## requirements

Use standard 52-card playing deck, keeping Jokers. Shuffle however
you like. The game may be played with 2-5 players.

## dealing

Each player is dealt 7 cards, kept secret from other players.

## turn

There are two variations for taking turns. One is strictly a matter
of chance, and is recommended for younger players because it tends
to be faster-paced and has more of a *surprise!* element. The other
variation introduces an element of strategy and is better suited
for players with more _patience_.

### turn: strictly chance

Each player select one card and places it face down in the middle
playing area between themselves and other players.

One the count of 3, all said together in rhythm, each player flips
over their own card. Precedence rules apply and the winning player
takes all cards.

### turn: a bit of strategy

On the first turn, the youngest player goes first. On each
subsequent turn, the player with the most captured cards plays
first. The play order then proceeds counter-clockwise.

Each player selects a card and places it face-up in the center play
area. Precedence rules apply and the winning player takes all
cards.

## precedence

The following rules apply across suits and special cards. Cards
within a single suit are compared with higher-value cards winning.
Cards are counted from ace (1) through king (13).

## scoring

At the conclusion of a round of 7 cards, the player with the most
cards is the winner. The face values of the cards is not considered
at scoring time. A draw may be handled in a "run-off game" or
ignored as you like.

### diamonds ("rupees")

beats:

- clubs ("bombs")
- spades ("swords")

### clubs ("bombs")

beats:

- spades ("swords")
- hearts

### spades ("swords")

beats:

- hearts

### hearts

beats:

- diamonds ("rupees")

### jokers ("tingles")

beats everything with the exception of one of the special cards
listed below.

### special cards

these cards will be granted special status *only* when played
against a joker ("tingle") and will win with the following
sub-precedence, which is roughly the inverse of the main
precedence:

- 3 of hearts ("three hearts")
- ace of spades ("master sword")
- 5 of clubs ("bombs")
- 5 of diamonds ("blue rupee")
